# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: common.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='common.proto',
  package='',
  syntax='proto3',
  serialized_pb=_b('\n\x0c\x63ommon.proto\";\n\tRectangle\x12\n\n\x02x1\x18\x01 \x01(\x05\x12\n\n\x02y1\x18\x02 \x01(\x05\x12\n\n\x02x2\x18\x03 \x01(\x05\x12\n\n\x02y2\x18\x04 \x01(\x05\"\x87\x01\n\x15PreprocessedCharacter\x12\r\n\x05index\x18\x01 \x01(\x05\x12\"\n\x1a\x63haracterNumpyObjectBinary\x18\x02 \x01(\x0c\x12\x1c\n\x14\x63haracterImageBinary\x18\x03 \x01(\x0c\x12\x1d\n\trectangle\x18\x04 \x01(\x0b\x32\n.Rectangle\"J\n\x13RecognizedCharacter\x12\r\n\x05index\x18\x01 \x01(\x05\x12\x11\n\tcharacter\x18\x02 \x01(\t\x12\x11\n\tcertainty\x18\x03 \x01(\x05\x62\x06proto3')
)




_RECTANGLE = _descriptor.Descriptor(
  name='Rectangle',
  full_name='Rectangle',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='x1', full_name='Rectangle.x1', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='y1', full_name='Rectangle.y1', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='x2', full_name='Rectangle.x2', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='y2', full_name='Rectangle.y2', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=16,
  serialized_end=75,
)


_PREPROCESSEDCHARACTER = _descriptor.Descriptor(
  name='PreprocessedCharacter',
  full_name='PreprocessedCharacter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='index', full_name='PreprocessedCharacter.index', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterNumpyObjectBinary', full_name='PreprocessedCharacter.characterNumpyObjectBinary', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterImageBinary', full_name='PreprocessedCharacter.characterImageBinary', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='rectangle', full_name='PreprocessedCharacter.rectangle', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=78,
  serialized_end=213,
)


_RECOGNIZEDCHARACTER = _descriptor.Descriptor(
  name='RecognizedCharacter',
  full_name='RecognizedCharacter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='index', full_name='RecognizedCharacter.index', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='character', full_name='RecognizedCharacter.character', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='certainty', full_name='RecognizedCharacter.certainty', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=215,
  serialized_end=289,
)

_PREPROCESSEDCHARACTER.fields_by_name['rectangle'].message_type = _RECTANGLE
DESCRIPTOR.message_types_by_name['Rectangle'] = _RECTANGLE
DESCRIPTOR.message_types_by_name['PreprocessedCharacter'] = _PREPROCESSEDCHARACTER
DESCRIPTOR.message_types_by_name['RecognizedCharacter'] = _RECOGNIZEDCHARACTER
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Rectangle = _reflection.GeneratedProtocolMessageType('Rectangle', (_message.Message,), dict(
  DESCRIPTOR = _RECTANGLE,
  __module__ = 'common_pb2'
  # @@protoc_insertion_point(class_scope:Rectangle)
  ))
_sym_db.RegisterMessage(Rectangle)

PreprocessedCharacter = _reflection.GeneratedProtocolMessageType('PreprocessedCharacter', (_message.Message,), dict(
  DESCRIPTOR = _PREPROCESSEDCHARACTER,
  __module__ = 'common_pb2'
  # @@protoc_insertion_point(class_scope:PreprocessedCharacter)
  ))
_sym_db.RegisterMessage(PreprocessedCharacter)

RecognizedCharacter = _reflection.GeneratedProtocolMessageType('RecognizedCharacter', (_message.Message,), dict(
  DESCRIPTOR = _RECOGNIZEDCHARACTER,
  __module__ = 'common_pb2'
  # @@protoc_insertion_point(class_scope:RecognizedCharacter)
  ))
_sym_db.RegisterMessage(RecognizedCharacter)


# @@protoc_insertion_point(module_scope)
